Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.authentication
Interface GroupEditorMBean

All Known Subinterfaces:
  DefaultAuthenticatorMBean

public interface GroupEditorMBean
extends weblogic.management.commo.StandardInterface, GroupReaderMBean, GroupRemoverMBean

Provides a set of methods for creating, editing, and removing groups. An Authentication provider MBean can optionally implement this MBean. The WebLogic Server Administration Console detects when an Authentication provider implements this MBean and automatically provides a tab for using these methods.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `addMemberToGroup(java.lang.String groupName, java.lang.String memberUserOrGroupName)` Adds a user or group (member) to a group.
`void` | `createGroup(java.lang.String groupName, java.lang.String description)` Creates a group.
`void` | `removeMemberFromGroup(java.lang.String groupName, java.lang.String memberUserOrGroupName)` Removes a user or group (member) from a group.
`void` | `setGroupDescription(java.lang.String groupName, java.lang.String description)` Sets the description for an existing group.

Methods inherited from interface weblogic.management.security.authentication.GroupReaderMBean
`getGroupDescription, groupExists, isMember, listGroups`

Methods inherited from interface weblogic.management.security.authentication.GroupRemoverMBean
`removeGroup`

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Method Detail

### createGroup

    public void createGroup(java.lang.String groupName,
                            java.lang.String description)
                     throws AlreadyExistsException,
                            InvalidParameterException

  Creates a group.

  Parameters:
    `groupName` - - The name of the new group. The name cannot be the name of an existing user or group. The Authentication provider determines syntax requirements for the group name.
    `description` - - The description of the group.
  Throws:
    AlreadyExistsException -
    InvalidParameterException -

### setGroupDescription

    public void setGroupDescription(java.lang.String groupName,
                                    java.lang.String description)
                             throws NotFoundException,
                                    InvalidParameterException

  Sets the description for an existing group.

  Parameters:
    `groupName` - - The name of an existing group.
    `description` - - The description of the group.
  Throws:
    NotFoundException -
    InvalidParameterException -

### addMemberToGroup

    public void addMemberToGroup(java.lang.String groupName,
                                 java.lang.String memberUserOrGroupName)
                          throws NotFoundException,
                                 InvalidParameterException

  Adds a user or group (member) to a group. If the member already belongs to the group, this method does nothing.

  Parameters:
    `groupName` - - The name of an existing group to which this method adds a member.
    `memberUserOrGroupName` - - The name of the member, which must be an existing user or group.
  Throws:
    NotFoundException -
    InvalidParameterException -

### removeMemberFromGroup

    public void removeMemberFromGroup(java.lang.String groupName,
                                      java.lang.String memberUserOrGroupName)
                               throws NotFoundException,
                                      InvalidParameterException

  Removes a user or group (member) from a group. If the member is not in the group, this method does nothing.

  Parameters:
    `groupName` - - The name of an existing group from which this method removes a member.
    `memberUserOrGroupName` - - The name of the member, which must be an existing user or group.
  Throws:
    NotFoundException -
    InvalidParameterException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD